QGIS Application - Bug report #6972
Multiline labels not exporting correctly from Print Composer when centered
2013-01-09 07:04 AM - Jonathan Ball

Status: Closed

Priority: Normal

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16079
Description

| am using the new labeling functionality in QGIS 1.9.0 Master. Multiline labels are not exporting correctly from the Print Composer when
centered (whether exporting as an image or PDF). Labels look correct in the Print Composer but become badly offset in the JPG or PDF
version of the map. If labels are NOT centered, the export works (right alignment not tested). Changing the page size or print resolution
seems to make no difference.

History

#1 - 2013-01-09 11:26 PM - Larry Shaffer

- Target version set to Version 2.0.0

- Assignee set to Larry Shaffer

- Status changed from Open to Feedback

- Category set to Labelling

Hi Jonathan,

That issue should be fixed since the Dec 10, 2012 commit commit:5de1ad

Are you using a master build newer than that? | can not reproduce the issue here anymore. Tested with centered multi-line labels with PNG, JPEG, PDF
and SVG output. If you are using a newer master build version than that commit, please provide reproducible steps using a fresh project, noting any

relevant settings, and maybe attaching any data files to test with.

Also, please give more details: what OS, QGIS version (master will have Quantum GIS [short commit sha hash] in it's window title and under code revision
in the About dialog).

Thanks for reporting

#2 - 2014-05-29 03:32 PM - Larry Shaffer
- Status changed from Feedback to Closed

Please reopen if needed.
